Package org.eclipse.gef.zest.fx.behaviors

# Class EdgeHidingBehavior

java.lang.Object
org.eclipse.gef.mvc.fx.behaviors.AbstractBehavior
org.eclipse.gef.zest.fx.behaviors.AbstractHidingBehavior
org.eclipse.gef.zest.fx.behaviors.EdgeHidingBehavior

All Implemented Interfaces:
  `IActivatable`, `IAdaptable.Bound<IVisualPart<? extends Node>>`, `IBehavior`

public class EdgeHidingBehavior extends AbstractHidingBehavior
The `EdgeHidingBehavior` is an `EdgePart`-specific `AbstractHidingBehavior` implementation.

## Property Summary

### Properties inherited from class org.eclipse.gef.mvc.fx.behaviors.AbstractBehavior

`active, adaptable`

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

## Field Summary

### Fields inherited from interface org.eclipse.gef.common.activate.IActivatable

`ACTIVE_PROPERTY`

## Constructor Summary

Constructors
Constructor
Description
`EdgeHidingBehavior()`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`determineHiddenStatus()`
Returns `true` if the `host` is currently hidden.
`EdgePart`
`getHost()`

### Methods inherited from class org.eclipse.gef.zest.fx.behaviors.AbstractHidingBehavior

`doActivate, doDeactivate, getHidingModel, hide, isHidden, onHidingModelChange, show`

### Methods inherited from class org.eclipse.gef.mvc.fx.behaviors.AbstractBehavior

`activate, activeProperty, adaptableProperty, addAnchoreds, addAnchoreds, addFeedback, addFeedback, addHandles, addHandles, clearFeedback, clearHandles, deactivate, getAdaptable, getFeedback, getFeedback, getFeedbackPartFactory, getFeedbackPartFactory, getFeedbackPerTargetSet, getHandlePartFactory, getHandlePartFactory, getHandles, getHandles, getHandlesPerTargetSet, hasFeedback, hasFeedback, hasHandles, hasHandles, isActive, removeAnchoreds, removeFeedback, removeFeedback, removeFeedback, removeHandles, removeHandles, removeHandles, setAdaptable, updateHandles, updateHandles`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EdgeHidingBehavior

public EdgeHidingBehavior()

## Method Details

### determineHiddenStatus

protected boolean determineHiddenStatus()
Description copied from class: `AbstractHidingBehavior`
Returns `true` if the `host` is currently hidden. Otherwise, returns `false`.

Specified by:
  `determineHiddenStatus` in class `AbstractHidingBehavior`
Returns:
  `true` if the `host` is currently hidden, otherwise `false`.

### getHost

public EdgePart getHost()

Specified by:
  `getHost` in interface `IBehavior`
Overrides:
  `getHost` in class `AbstractBehavior`